# LSaddon_phpldapadmin

Cet [LSaddon](index.md#configuration-des-lsaddons) est utilisé pour permettre un lien facile entre
le logiciel [PhpLdapAdmin](https://github.com/leenooks/phpLDAPadmin) et LdapSaisie. Il sera possible
ainsi à partir d'un objet dans LdapSaisie de voir ce même objet dans
[PhpLdapAdmin](https://github.com/leenooks/phpLDAPadmin).

Il est necessaire de configurer l'URL de votre installation de
[PhpLdapAdmin](https://github.com/leenooks/phpLDAPadmin) dans le fichier de configuration
`config.LSaddons.phpldapadmin.php`.

**Structure du fichier :**

```php
// PhpLdapAdmin View Object URL format
define('LS_PHPLDAPADMIN_VIEW_OBJECT_URL_FORMAT','//'.$_SERVER['SERVER_NAME'].'/phpldapadmin/cmd.php?cmd=template_engine&server_id=0&dn=%{dn}');
```

Cet [LSaddon](index.md#configuration-des-lsaddons) offre la possibilité d'utilisé la fonction PHP
`redirectToPhpLdapAdmin()` comme [customActions](../LSobject/customActions.md#customactions).

**Exemple d'utilisation :**

```php
$GLOBALS['LSobjects']['LSpeople'] = array (
        [...]
        'customActions' => array (
                'redirectPhpLdapAdmin' => array (
                        'function' => 'redirectToPhpLdapAdmin',
                        'label' => 'See in PhpLdapAdmin',
                        'hideLabel' => True,
                        'noConfirmation' => true,
                        'disableOnSuccessMsg' => true,
                        'icon' => 'phpldapadmin',
                        'rights' => array (
                                'admin'
                        )
                ),
        ),
        [...]
);
```
