# LSaddon_showSupportInfo

Cet [LSaddon](index.md#configuration-des-lsaddons) fourni une page affichant les informations utiles
pour l'équipe assurant le support de l'application. Cette page est accessible à l'adresse
`addon/showSupportInfo/showMySupportInfo`. Elle compile (et permet de télécharger) l'ensemble des
informations utiles à l'appréciation du contexte d'accès à l'application par l'utilisateur.

Cette page est accessible par tous les utilisateurs connectés à l'application. Cependant, par
défaut, il n'y a aucun lien d'accès à celle-ci. Il est possible d'ajouter un lien d'accès dans le
menu et modifiant la valeur de la constante `SHOW_SUPPORT_INFO_IN_MENU` à `True`.

Une fonction `showMySupportInfo()` est également fournie et peut-être utilisée comme
[customActions](../LSobject/customActions.md#customactions). Elle redirigera alors l'utilisateur
vers cette page. Ci-dessous, vous trouverez un exemple de configuration de la fonction
`showMySupportInfo()` comme [customActions](../LSobject/customActions.md#customactions) :

```php
$GLOBALS['LSobjects']['LSpeople'] = array (
  [...]
  'customActions' => array (
    'showMySupportInfo' => array (
      'function' => 'showMySupportInfo',
      'label' => 'Show my support information',
      'hideLabel' => True,
      'noConfirmation' => true,
      'disableOnSuccessMsg' => true,
      'icon' => 'terminal',
      'rights' => array (
        'self'
      ),
    ),
  ),
  [...]
);
```

!!! note

    Le label et l'icône fournis dans cet exemple sont traduits et délivrés avec LdapSaisie.
