# Configuration des règles de vérification syntaxique

Cette section décrit la manière de configuer des règles de vérification syntaxique sur les données
des attributs. Ces règles seront utilisées pour vérifier que les valeurs saisies par un utilisateur
dans un formulaire sont correctes.

```
'check_data' => array (
  '[regle1]' => array(
    'msg' => "[Message d'erreur]",
    'params' => array(
      // Paramètres de la règle
    )
  ),
  ...
),
...
```

Le paramètre `check_data` est un tableau associatif dont les clés sont les noms des règles de
vérification syntaxique actives et les valeurs associées sont des tableaux associatifs contenant les
paramètres des règles.

- `msg`

  Le message d'erreur à afficher lors que la règle n'est pas respectée (optionnel).

- `params`

  Tableau associatif contenant les paramètres de la règle. Les paramètres possibles sont propres à
  chaque type de règle. Les clès sont les noms des paramètres et les valeurs associés, les valeurs
  des paramètres.
