# Procédure de mise à jour

## Installation via paquet Debian

Lors d’une installation par paquet Debian, la mise à jour est grandement facilité par le packaging :
Il vous suffit de mettre à jour le paquet `ldapsaisie` :

```bash
apt update
apt install ldapsaisie
```

Une fois l’application mise à jour, prêté attention aux nouveautés et point de vigilances décrite
dans la section suivante.

## Installation à partir des sources

Lors d’une installation par à partir des sources, le script `upgradeFromGit.sh` permet d’automatiser
la mise à jour, à condition que vous ayez suivi la procédure d’installation à ce sujet.

Ce script s’occupera alors de :

- Nettoyer `working-tree` Git des liens symboliques des fichiers locaux (et éventuellement du
  thème) mis en place lors d’une précédente exécution ;

- Vider le cache des templates ;

- Mettre à jour le `working-tree` Git via un `git pull` de la mise à jour ;

- Installer des liens symboliques pour les fichiers locaux. En cas de fichier remplacant un fichier
  livré avec l’application, le script vous notifiera en cas de changement intervenu dans le fichier
  fourni avec l’application et vous permettra de le mettre à jour simplement votre fichier local
  (via un `vim -d`) ;

- Détecter des changements dans les fichiers `MO` (traduction) et de déclencher dans ce cas un
  rechargement du serveur web pour prise en compte ;

- Option : de compiler une version locale à jour de la documentation ;

Une fois l’application mise à jour, prêté attention aux nouveautés et point de vigilances décrite
dans la section suivante.
